//
//  UmAnalytics.m
//  JZPlus_RN
//
//  Created by 丁乐 on 2020/6/6.
//

#import "UmAnalytics.h"
#import <UmAnalytics/MobClick.h>

@implementation UmAnalytics

RCT_EXPORT_MODULE();

- (dispatch_queue_t)methodQueue{
  return dispatch_get_main_queue();
}


/// 用于用户进行账户统计
/// @param puid 用户ID
RCT_EXPORT_METHOD(profileSignInWithPUID:(NSString *)puid)
{
  [MobClick profileSignInWithPUID:puid];
}

/// Signoff调用后，不再发送账号内容。
RCT_EXPORT_METHOD(profileSignOff)
{
  [MobClick profileSignOff];
}

/// 页面打开
/// @param pageName 页面名称
RCT_EXPORT_METHOD(beginLogPageView:(NSString *)pageName)
{
  [MobClick beginLogPageView:pageName];
}

/// 页面结束
/// @param pageName 页面名称
RCT_EXPORT_METHOD(endLogPageView:(NSString *)pageName)
{
  [MobClick endLogPageView:pageName];
}


/// 计数事件
/// @param eventId 网站上注册的事件Id
/// @param attributes 自定义属性
RCT_EXPORT_METHOD(numEvent:(NSString *)eventId attributes:(NSDictionary *)attributes)
{
  [MobClick event:eventId attributes:attributes];
}


/// 计算事件
/// @param eventId 网站上注册的事件Id
/// @param attributes 自定义属性
/// @param number   数字
RCT_EXPORT_METHOD(countEvent:(NSString *)eventId  attributes:(NSDictionary *)attributes counter:(int)number)
{
  [MobClick event:eventId attributes:attributes counter:number];
}


/// 收集app适用过程中产生的Crash信息,统计SDK默认是开启Crash收集机制的
/// 开启CrashReport收集, 默认YES(开启状态).
/// @param value 设置为NO,可关闭友盟CrashReport收集功能.
RCT_EXPORT_METHOD(setCrashReportEnabled:(BOOL)value)
{
  [MobClick setCrashReportEnabled:value];
}

@end
